Description

We built a model to make automatic export of shapefile/geopackage into .dxf format after re-projecting so to avoid errors. The model

is attached here

The model works fine using data from postgis directly.

The model can be exported into python simply clicking on "Export as Script Algorithm..."

It might be worth to explore the possibility of exporting multiple layers using something similar.

History

#1 - 16/04/2021 10:01 - Selvarani C

- File Final Grass model SHP to DXF .model3 added

Hi Philippe,

This is the final model to make automatic export of shapefile/geopackage into .dxf format.

#2 - 16/04/2021 11:53 - Philippe May

Thanks Selvarani for the update.

The graphical modeller has some interesting functionality, and it has its limitations too.

From what i've seen, there's no option for creating a DXF from multiple layers so we'll end up with one file per layer.

@Giulio: we'd need to generate a DXF with all survey layers, right?

Below, general comments about integrating the graphical modeler algorithms in Gisaf:

No problem importing the relevant Python modules, and I don't think the processing steps would be an issue.

But a main issue is with inputs from the user: Qgis pops up dialogues, which can be an big issue to handle through web.

QGis is a heavy machinery, involving lots of disk space, memory, dependencies, etc.

So, a quick assessment: i can see interesting possibilities in integrating graphical modeller models. But for this specific task of exporting the survey

models as DXF, it will be much more effective to add this as a function in Gisaf, noting that QGis and Gisaf use the same libraries for the processing,

so the result should be the same. The limitations are also the same: exporting multiple layers to a single DXF is the main issue in this example.
#3 - 16/04/2021 11:54 - Philippe May

- Assignee changed from Philippe May to Giulio Di Anastasio

#4 - 16/04/2021 13:09 - Selvarani C

We have a "Run as a Batch process" option, by that we can do multiple layer within one click.

Files

from shp to dxf.model3 15.4 KB 30/03/2021 Selvarani C

Final Grass model SHP to DXF .model3 74.3 KB 16/04/2021 Selvarani C
